Subject: Re: install: gitweb.cgi was not found anywhere

From: Jonathan Nieder <[email-masked]>
Date: Fri, 3 May 2019 13:56:37 -0700

Jeffrey Walton wrote:
> On Wed, May 1, 2019 at 6:30 PM Jonathan Nieder <[email-masked]> wrote:

>> Sounds like it's using "install" when it should be using "ginstall".
>> config.mak.uname contains, under the SunOS category:
>>
>>         INSTALL = /usr/ucb/install
>
> Thanks again Jonathan.
>
> /usr/ucb/install no longer exists in Solaris 11.3 i86pc:
>
>     solaris3:~$ ls -Al /usr/ucb/install
>     /usr/ucb/install: No such file or directory
>     solaris3:~$ uname -a
>     SunOS solaris3. 5.11 11.3 i86pc i386 i86pc
>
> The config files need to be patched:
[...]
> Related to /usr/ucb, also see
> https://blogs.oracle.com/solaris/preparing-for-the-upcoming-removal-of-ucb-utilities-from-the-next-version-of-solaris-v2

Hm.  How about this, in combination with the previous one?

If it looks good, I can send it out as a series for real.

[...]
> I also removed a bunch of old patches and hacks that don't seem to be
> needed for Git 2.21.0. Between both of them I am building Git on
> Solaris again.

To be clear, does that mean you are using unpatched source now, or
that you still needed some patches?  In the latter case, can you point
me to them so we can get something sufficient upstream?

Thanks,
Jonathan

diff --git i/config.mak.uname w/config.mak.uname
index d916d1dc7a..41ad90c76a 100644
--- i/config.mak.uname
+++ w/config.mak.uname
@@ -162,7 +162,7 @@ ifeq ($(uname_S),SunOS)
 		NO_STRTOUMAX = YesPlease
 		GIT_TEST_CMP = cmp
 	endif
-	INSTALL = /usr/ucb/install
+	INSTALL = ginstall
 	TAR = gtar
 	BASIC_CFLAGS += -D__EXTENSIONS__ -D__sun__
 endif